with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGSwitchElement_Interface is

   procedure Initialize (This : in out ISVGSwitchElement_Type) is
   begin
      Set_IID (This, IID_ISVGSwitchElement);
   end Initialize;

   function Pointer (This : ISVGSwitchElement_Type)
     return Pointer_To_ISVGSwitchElement
   is
   begin
      return To_Pointer_To_ISVGSwitchElement (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGSwitchElement_Type;
                     Pointer : in     Pointer_To_ISVGSwitchElement)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

end MSHTML.ISVGSwitchElement_Interface;

